# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: DIBSFlexWin
    class: XC\DIBSFlexWin\Model\Payment\Processor\DIBSFlexWin
    type: C
    countries: [DE, DK, FI, GL, 'NO', SE]
    translations: [{code: en, name: 'DIBS FlexWin'}]
    settings: [{name: merchantId}, {name: DIBS_shop_key_1}, {name: DIBS_shop_key_2}, {name: mode, value: test}, {name: prefix, value: xcart}]
XLite\Model\LanguageLabel:
  - name: 'Merchant id'
    translations: [{code: en, label: 'Merchant id'}]
  - name: 'Order prefix'
    translations: [{code: en, label: 'Order prefix'}, {code: ru, label: 'Префикс номера заказа'}]
  - name: DIBS_shop_key_1
    translations: [{code: en, label: 'DIBS shop key #1'}]
  - name: DIBS_shop_key_2
    translations: [{code: en, label: 'DIBS shop key #2'}]
